Upgrade the Robots

In this article, learn how to upgrade the robots in your domain, including the robots on secondary hubs.
uim203
In this article, learn how to upgrade the robots in your domain, including the robots on secondary hubs.
UIM
does not support the use of native installers to perform robot upgrades. To upgrade your robots, you must use the
robot_update
package that is available in either the Admin Console or Infrastructure Manager Archive.
For first-time robot installations, the native robot installers are still supported.
2
  • For more information about the UIM 20.3.3 release, see the UIM 20.3.3 article.
  • For more information about upgrading to secure robots, see Secure Hub and Robot.
  • Do not include the source robot (where distsrv/ade is running) in the list while applying the bulk robot_update.
  • From UIM 9.2.0 onward, hub/robot- and probe-level licensing requirements have been removed. Deploy the hub, robot, and distsrv versions released with the latest UIM to remove the license dependency. If you want to continue with the older versions of hub and probes that require an extension of the license, contact Support so that they can assist you in extending the license (if required). We recommend taking a backup of the existing licenses before upgrading to the latest UIM version.
  • distsrv 9.31 has a dependency on robot 9.31/9.31S.
  • UIM uses OpenJDK instead of Oracle JDK. For more information about the OpenJDK usage in UIM, see Adopting OpenJDK.
Upgrade the Robots Using the Admin Console
Deploy the
robot_update
package to the robot you want to update.
Upgrade the Robots Using the Infrastructure Manager
Follow these steps:
  1. Launch Infrastructure Manger on your upgraded primary hub (or another hub with an updated archive).
  2. Locate the
    robot_update
    package in the
    Archive
    .
  3. Drag-and-drop the package onto the icon of the robot you want to update.